POST /Command/CreateSite
Create a new site
Request
Authentication: API keys or JSON web tokens (JWT)
Body Parameters
|
Parameter Name |
Type |
Required/Optional |
Description |
|---|---|---|---|
|
Username |
|
Required |
The username of your D3 SOAR account. |
|
Site |
|
Required |
The D3 SOAR site to run the remote command. |
|
Site Name |
|
Required |
Specify the site name for the new site. |
|
Site Description |
|
Optional |
Specify the site description for the new site. |
|
Site Type |
|
Required |
Specify the site type for the new site. (Options: “Client“ or “Internal“). The default value is client. |
|
Shared Connection |
|
Required |
Specify if share connection for the new site. The default value is false. |
|
Is Active |
|
Required |
Specify if active for the new site. The default value is true. |
|
Time Zone |
|
Required |
Specify if Time Zone for the new site. The default value is Greenwich Mean Time. |
|
Language |
|
Optional |
Specify if the language for the new site. The default value is English. (Options: “Default(English)“, “Arabic“, “American“, “French“, “German“, “Portuguese“, “Spanish“, “Traditional Chinese“) |
|
Is Master |
|
Required |
Specify if it is master site for the new site. The default value is false. |
READER NOTE
The “Time Zone” input parameter format is (GMT±hh:mm) Time Zone Name, where GMT stands for Greenwich Mean Time, ± indicates the offset direction (ahead + or behind - GMT), and hh:mm represents the hours and minutes of the offset. For example, (GMT-12:00) International Date Line West.